Pāriet uz saturu

Inworld TTS-1.5 Max

Integrēt

Modeļa id inworld-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/inworld-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: 0,001 $ 1 API kredīts Izpildīt šajā lapā

Iegūt API atslēgu
Inworld Teksts uz runu #text-to-speech#inworld#tts

Teksta pārveidošana runā ar plašu nosaukto angļu un citu valodu balsu katalogu un izvēlamiem iztveršanas ātrumiem

Inworld · Audio

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts 50 / 2000

Runas sintēzes teksts, ierobežots līdz 2000 rakstzīmēm.

Papildu sample_rate_hertz · voice · enable_safety_checker
sample_rate_hertz noklusējums 48000

Izvades audio diskretizācijas frekvence Hz.

noklusējums Craig (en)

Runas sintēzei izmantotā balss.

POST /run/inworld-tts?wait=20 cena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/inworld-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Inworld TTS-1.5 Max

Pārvērš līdz 2000 `text` rakstzīmēm runā. `voice` izvēlas no 113 nosauktām balsīm, noklusējuma balss ir Craig (en). `sample_rate_hertz` var būt 8000, 16000, 24000, 32000, 40000 vai 48000 (noklusējums). Atgriež vienu audio failu.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
textobligāts
Tipsstring
≤ 2000 rakstzīmju
Runas sintēzes teksts, ierobežots līdz 2000 rakstzīmēm.
voiceneobligāts
Tipsenum
NoklusējumsCraig (en)
Loretta (en)Darlene (en)Marlene (en)Hank (en)Evelyn (en)Celeste (en)Pippa (en)Tessa (en)Liam (en)Callum (en)Hamish (en)Abby (en)Graham (en)Rupert (en)Mortimer (en)Snik (en)
+vēl 97Anjali (en)Saanvi (en)Arjun (en)Claire (en)Oliver (en)Simon (en)Elliot (en)James (en)Serena (en)Gareth (en)Vinny (en)Lauren (en)Jessica (en)Ethan (en)Tyler (en)Jason (en)Chloe (en)Veronica (en)Victoria (en)Miranda (en)Sebastian (en)Victor (en)Malcolm (en)Kayla (en)Nate (en)Jake (en)Brian (en)Amina (en)Kelsey (en)Derek (en)Grant (en)Evan (en)Alex (en)Ashley (en)Craig (en)Deborah (en)Dennis (en)Edward (en)Elizabeth (en)Hades (en)Julia (en)Pixie (en)Mark (en)Olivia (en)Priya (en)Ronald (en)Sarah (en)Shaun (en)Theodore (en)Timothy (en)Wendy (en)Dominus (en)Hana (en)Clive (en)Carter (en)Blake (en)Luna (en)Yichen (zh)Xiaoyin (zh)Xinyi (zh)Jing (zh)Erik (nl)Katrien (nl)Lennart (nl)Lore (nl)Alain (fr)Hélène (fr)Mathieu (fr)Étienne (fr)Johanna (de)Josef (de)Gianni (it)Orietta (it)Asuka (ja)Satoshi (ja)Hyunwoo (ko)Minji (ko)Seojun (ko)Yoona (ko)Szymon (pl)Wojciech (pl)Heitor (pt)Maitê (pt)Diego (es)Lupita (es)Miguel (es)Rafael (es)Svetlana (ru)Elena (ru)Dmitry (ru)Nikolai (ru)Riya (hi)Manoj (hi)Yael (he)Oren (he)Nour (ar)Omar (ar)
Runas sintēzei izmantotā balss.
sample_rate_hertzneobligāts
Tipsenum
Noklusējums48000
80001600024000320004000048000
Izvades audio diskretizācijas frekvence Hz.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Pārbaudi var atslābināt, iestatot false, ja izsaucējam ir atļauja.
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "inworld-tts",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
audio
object {url, content_type, file_name, file_size}Ģenerēšanas rezultātā izveidotais audio fails.

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/inworld-tts.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt